<template>
  <section class="header">
    <div class="container">
      <div class="row">
        <div class="col-9 col-sm-5 col-md-4 col-lg-3 pb-0"> <a href="/" :title="domain.name" replace><img
              :alt="domain.name" :src="`${options.storage_root}${domain.logo_path}`"></a>
              <v-app class="vue-front-end-fixed"></v-app>
        </div>
        <div class="col-3 col-sm-7 col-md-8 col-lg-9 pb-0">
          <div class="top_menu">
            <ul class="tab_menu d-xl-none d-inline-block">
              <li class="icon_list"><a href="javascript:;" onclick="fnshowMenu()"><span
                    class="material-icons-round">menu</span></a></li>
            </ul>
            <ul class="icon_links d-none d-md-block">
              <li class="icon_list search_icon_top"><product-search></product-search></li>
              <li class="icon_list top_call_icon"><a :href="`tel:${contact_phone_link}`"><i class="fas fa-phone-alt"></i>Call Us<span> {{ contact_phone_text }}</span></a></li>
              <li class="icon_list cart_icon"><a href="/cart/order-detail" replace><i class="fas fa-cart-arrow-down"></i>
                  <span>Cart</span><b>{{ cart_count }}</b></a></li>
              
            </ul>

            <ul class="text_links d-xl-none d-block navbar-nav">
              <li class="close_menu text-right"><a href="javascript:;" class="pr-0" onclick="fnshowMenu()"><span
                    class="material-icons">close</span></a></li>
              <li class='dropdown' v-for="(category, i) in category_options" :key="i"><a href='#'
                  style="pointer-events: none;">{{ category['name'] }}</a>
                <ul class='' v-if="category.child_categories.length > 0">
                  <li v-for="(child, x) in category.child_categories" :id='child.name'>

                    <a :href="`/${location}/${category['link_rewrite']}/${child['link_rewrite']}`">
                      <span>{{ child.name }}</span>
                    </a>
                  </li>
                </ul>
              </li>
              <li><a href="/about-us" replace>About Us</a></li>
              <li><a :href="['perth', 'mandurah'].includes(location) ? '/rent-own' : '/rent-own-east'" replace>Rent
                  To Own</a></li>
              <li><a href="/faqs" replace>FAQs</a></li>
              <li><a href="/contact-us" replace>Contact</a></li>

            </ul>
          </div>
        </div>
      </div>
    </div>
  </section>
</template>
<script>
import ProductSearch from './product-search.vue';
import options from '~/assets/options';
export default {
  components: { 'location': () => import('./locationComp.vue'), 'product-search': () => import('./product-search') },
  data() {
    return {
      options: options,
      category_options: this.$store.state.front_end_data.category_options,
      search: "",
      product_options: [],
      loading: false,
      product: null,
      domain: this.$store.state.front_end_data.domain,
      location : this.$store.state.front_end_data.location_name,
      contact_phone_text: this.$store.state.front_end_data.site_defaults.headline_contact_text,
      contact_phone_link: this.$store.state.front_end_data.site_defaults.headline_contact_link,
    }
  },
  computed: {
    cart_count() {
      return this.$store.state.front_end_data.cart_count.count;
    }
  },
  mounted() {
  },
  methods: {
  }
}
</script>
